var __defProp = Object.defineProperty;
var __markAsModule = (target) => __defProp(target, "__esModule", { value: true });
var __export = (target, all) => {
  __markAsModule(target);
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
__export(exports, {
  MessageDeliveryService: () => MessageDeliveryService
});
class MessageDeliveryService {
  constructor(sender) {
    this.sender = sender;
  }
  async deliver(ctx, user, deliveryDetails, message) {
    if (deliveryDetails.DeliveryMedium === "SMS") {
      await this.sender.sendSms(ctx, user, deliveryDetails.Destination, message);
    } else if (deliveryDetails.DeliveryMedium === "EMAIL") {
      await this.sender.sendEmail(ctx, user, deliveryDetails.Destination, message);
    }
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  MessageDeliveryService
});
