var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __markAsModule = (target) => __defProp(target, "__esModule", { value: true });
var __export = (target, all) => {
  __markAsModule(target);
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __reExport = (target, module2, desc) => {
  if (module2 && typeof module2 === "object" || typeof module2 === "function") {
    for (let key of __getOwnPropNames(module2))
      if (!__hasOwnProp.call(target, key) && key !== "default")
        __defProp(target, key, { get: () => module2[key], enumerable: !(desc = __getOwnPropDesc(module2, key)) || desc.enumerable });
  }
  return target;
};
var __toModule = (module2) => {
  return __reExport(__markAsModule(__defProp(module2 != null ? __create(__getProtoOf(module2)) : {}, "default", module2 && module2.__esModule && "default" in module2 ? { get: () => module2.default, enumerable: true } : { value: module2, enumerable: true })), module2);
};
__export(exports, {
  TriggersService: () => TriggersService
});
var import_customEmailSender = __toModule(require("./customEmailSender"));
var import_customMessage = __toModule(require("./customMessage"));
var import_postAuthentication = __toModule(require("./postAuthentication"));
var import_postConfirmation = __toModule(require("./postConfirmation"));
var import_preSignUp = __toModule(require("./preSignUp"));
var import_preTokenGeneration = __toModule(require("./preTokenGeneration"));
var import_userMigration = __toModule(require("./userMigration"));
class TriggersService {
  constructor(clock, cognitoClient, lambda, crypto) {
    this.lambda = lambda;
    this.customEmailSender = (0, import_customEmailSender.CustomEmailSender)({ lambda, crypto });
    this.customMessage = (0, import_customMessage.CustomMessage)({ lambda });
    this.postAuthentication = (0, import_postAuthentication.PostAuthentication)({ lambda });
    this.postConfirmation = (0, import_postConfirmation.PostConfirmation)({ lambda });
    this.preSignUp = (0, import_preSignUp.PreSignUp)({ lambda });
    this.preTokenGeneration = (0, import_preTokenGeneration.PreTokenGeneration)({ lambda });
    this.userMigration = (0, import_userMigration.UserMigration)({ clock, lambda, cognitoClient });
  }
  enabled(trigger) {
    return this.lambda.enabled(trigger);
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  TriggersService
});
