import { AdminConfirmSignUpRequest, AdminConfirmSignUpResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type AdminConfirmSignUpTarget = Target<AdminConfirmSignUpRequest, AdminConfirmSignUpResponse>;
declare type AdminConfirmSignUpServices = Pick<Services, "clock" | "cognito" | "triggers">;
export declare const AdminConfirmSignUp: ({ clock, cognito, triggers, }: AdminConfirmSignUpServices) => AdminConfirmSignUpTarget;
export {};
