import { AdminDeleteUserAttributesRequest, AdminDeleteUserAttributesResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type AdminDeleteUserAttributesTarget = Target<AdminDeleteUserAttributesRequest, AdminDeleteUserAttributesResponse>;
declare type AdminDeleteUserAttributesServices = Pick<Services, "clock" | "cognito">;
export declare const AdminDeleteUserAttributes: ({ clock, cognito, }: AdminDeleteUserAttributesServices) => AdminDeleteUserAttributesTarget;
export {};
