import { AdminEnableUserRequest, AdminEnableUserResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type AdminEnableUserTarget = Target<AdminEnableUserRequest, AdminEnableUserResponse>;
declare type AdminEnableUserServices = Pick<Services, "cognito" | "clock">;
export declare const AdminEnableUser: ({ cognito, clock }: AdminEnableUserServices) => AdminEnableUserTarget;
export {};
