import { AdminGetUserRequest, AdminGetUserResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type AdminGetUserTarget = Target<AdminGetUserRequest, AdminGetUserResponse>;
declare type AdminGetUserServices = Pick<Services, "cognito">;
export declare const AdminGetUser: ({ cognito }: AdminGetUserServices) => AdminGetUserTarget;
export {};
