import { AdminUpdateUserAttributesRequest, AdminUpdateUserAttributesResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type AdminUpdateUserAttributesTarget = Target<AdminUpdateUserAttributesRequest, AdminUpdateUserAttributesResponse>;
declare type AdminUpdateUserAttributesServices = Pick<Services, "clock" | "cognito" | "otp" | "messages">;
export declare const AdminUpdateUserAttributes: ({ clock, cognito, otp, messages, }: AdminUpdateUserAttributesServices) => AdminUpdateUserAttributesTarget;
export {};
