import { CreateUserPoolClientRequest, CreateUserPoolClientResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type CreateUserPoolClientTarget = Target<CreateUserPoolClientRequest, CreateUserPoolClientResponse>;
declare type CreateUserPoolClientServices = Pick<Services, "clock" | "cognito">;
export declare const CreateUserPoolClient: ({ clock, cognito, }: CreateUserPoolClientServices) => CreateUserPoolClientTarget;
export {};
