import { DeleteUserAttributesRequest, DeleteUserAttributesResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type DeleteUserAttributesTarget = Target<DeleteUserAttributesRequest, DeleteUserAttributesResponse>;
declare type DeleteUserAttributesServices = Pick<Services, "clock" | "cognito">;
export declare const DeleteUserAttributes: ({ clock, cognito, }: DeleteUserAttributesServices) => DeleteUserAttributesTarget;
export {};
