import { ForgotPasswordRequest, ForgotPasswordResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type ForgotPasswordTarget = Target<ForgotPasswordRequest, ForgotPasswordResponse>;
declare type ForgotPasswordServices = Pick<Services, "cognito" | "clock" | "messages" | "otp">;
export declare const ForgotPassword: ({ cognito, clock, messages, otp, }: ForgotPasswordServices) => ForgotPasswordTarget;
export {};
