import { GetUserPoolMfaConfigRequest, GetUserPoolMfaConfigResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type GetUserPoolMfaConfigTarget = Target<GetUserPoolMfaConfigRequest, GetUserPoolMfaConfigResponse>;
declare type GetUserPoolMfaConfigServices = Pick<Services, "cognito">;
export declare const GetUserPoolMfaConfig: ({ cognito }: GetUserPoolMfaConfigServices) => GetUserPoolMfaConfigTarget;
export {};
