import { ListGroupsRequest, ListGroupsResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type ListGroupsTarget = Target<ListGroupsRequest, ListGroupsResponse>;
declare type ListGroupServices = Pick<Services, "cognito">;
export declare const ListGroups: ({ cognito }: ListGroupServices) => ListGroupsTarget;
export {};
