import { UpdateUserAttributesRequest, UpdateUserAttributesResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type UpdateUserAttributesTarget = Target<UpdateUserAttributesRequest, UpdateUserAttributesResponse>;
declare type UpdateUserAttributesServices = Pick<Services, "clock" | "cognito" | "otp" | "messages">;
export declare const UpdateUserAttributes: ({ clock, cognito, otp, messages, }: UpdateUserAttributesServices) => UpdateUserAttributesTarget;
export {};
