import { UpdateUserPoolClientRequest, UpdateUserPoolClientResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type UpdateUserPoolClientTarget = Target<UpdateUserPoolClientRequest, UpdateUserPoolClientResponse>;
declare type UpdateUserPoolClientServices = Pick<Services, "clock" | "cognito">;
export declare const UpdateUserPoolClient: ({ clock, cognito, }: UpdateUserPoolClientServices) => UpdateUserPoolClientTarget;
export {};
