import { Context } from "../services/context";
import { DeliveryDetails, MessageDelivery } from "../services/messageDelivery/messageDelivery";
import { Message } from "../services/messages";
import { User } from "../services/userPoolService";
interface CollectedMessage {
    readonly deliveryDetails: DeliveryDetails;
    readonly message: Message;
}
export declare class FakeMessageDeliveryService implements MessageDelivery {
    private readonly messages;
    get collectedMessages(): readonly CollectedMessage[];
    deliver(ctx: Context, user: User, deliveryDetails: DeliveryDetails, message: Message): Promise<void>;
}
export {};
