/// <reference types="node" />
import * as http from "http";
import type { Logger } from "pino";
import { Router } from "./Router";
export interface ServerOptions {
    port: number;
    hostname: string;
    development: boolean;
}
export interface Server {
    application: any;
    start(options?: Partial<ServerOptions>): Promise<http.Server>;
}
export declare const createServer: (router: Router, logger: Logger, options?: Partial<ServerOptions>) => Server;
