import { DataStore } from "./dataStore";
export declare type DataStoreCache = {
    get(key: string): DataStore | null;
    set(key: string, value: DataStore): void;
};
export declare class InMemoryCache implements DataStoreCache {
    private readonly cache;
    get(key: string): DataStore | null;
    set(key: string, value: DataStore): void;
}
export declare class NoOpCache implements DataStoreCache {
    get(): DataStore | null;
    set(): void;
}
