import { AdminInitiateAuthRequest, AdminInitiateAuthResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type AdminInitiateAuthTarget = Target<AdminInitiateAuthRequest, AdminInitiateAuthResponse>;
declare type AdminInitiateAuthServices = Pick<Services, "cognito" | "triggers" | "tokenGenerator">;
export declare const AdminInitiateAuth: (services: AdminInitiateAuthServices) => AdminInitiateAuthTarget;
export {};
