import { AdminSetUserPasswordRequest, AdminSetUserPasswordResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type AdminSetUserPasswordTarget = Target<AdminSetUserPasswordRequest, AdminSetUserPasswordResponse>;
declare type AdminSetUserPasswordServices = Pick<Services, "clock" | "cognito">;
export declare const AdminSetUserPassword: ({ cognito, clock, }: AdminSetUserPasswordServices) => AdminSetUserPasswordTarget;
export {};
