import { ConfirmForgotPasswordRequest, ConfirmForgotPasswordResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type ConfirmForgotPasswordTarget = Target<ConfirmForgotPasswordRequest, ConfirmForgotPasswordResponse>;
declare type ConfirmForgotPasswordServices = Pick<Services, "cognito" | "clock" | "triggers">;
export declare const ConfirmForgotPassword: ({ cognito, clock, triggers, }: ConfirmForgotPasswordServices) => ConfirmForgotPasswordTarget;
export {};
