import { CreateGroupRequest, CreateGroupResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type CreateGroupTarget = Target<CreateGroupRequest, CreateGroupResponse>;
declare type CreateGroupServices = Pick<Services, "clock" | "cognito">;
export declare const CreateGroup: ({ cognito, clock }: CreateGroupServices) => CreateGroupTarget;
export {};
