import { InitiateAuthRequest, InitiateAuthResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type InitiateAuthTarget = Target<InitiateAuthRequest, InitiateAuthResponse>;
declare type InitiateAuthServices = Pick<Services, "cognito" | "messages" | "otp" | "tokenGenerator" | "triggers">;
export declare const InitiateAuth: (services: InitiateAuthServices) => InitiateAuthTarget;
export {};
