import { RespondToAuthChallengeRequest, RespondToAuthChallengeResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type RespondToAuthChallengeTarget = Target<RespondToAuthChallengeRequest, RespondToAuthChallengeResponse>;
declare type RespondToAuthChallengeService = Pick<Services, "clock" | "cognito" | "triggers" | "tokenGenerator">;
export declare const RespondToAuthChallenge: ({ clock, cognito, triggers, tokenGenerator, }: RespondToAuthChallengeService) => RespondToAuthChallengeTarget;
export {};
